//
//  FavoritesViewController.swift
//  Tusker
//
//  Created by Shadowfacts on 2/4/23.
//  Copyright © 2023 Shadowfacts. All rights reserved.
//

import UIKit
import Pachyderm

class FavoritesViewController: LocalPredicateStatusesViewController {

    init(mastodonController: MastodonController) {
        super.init(
            predicate: { $0.reblog == nil && $0.favourited },
            predicateTitle: "Favorites",
            request: { Client.getFavourites(range: $0) },
            mastodonController: mastodonController
        )
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

}
